/* $Id: RectangleMoveAction.java 303 2011-08-18 23:45:09Z minao $ */
package smart_gs.menu.action;


import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

import smart_gs.drawing_tool.state.UniSelectedState;
import smart_gs.logical.Preference;
/**
 * rectangleの移動可能・不可能を操作
 * @author Administrator
 *
 */
public class RectangleMoveAction implements ActionListener{
	private boolean markupMovability;
	
	public RectangleMoveAction(boolean b){
		this.markupMovability = b;
	}
	public void actionPerformed(ActionEvent e) {
		UniSelectedState.getInstance().setMarkupMovability(markupMovability);
		Preference.getInstance().setMarkupMovability(markupMovability+"");
	}

}
